<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	header("Access-Control-Allow-Methods: POST");
	 
	// include database and object files
	include_once '../config/database.php';
	include_once '../objects/type.php';
	 
	// instantiate database
	$database = new Database();
	$db = $database->getConnection();
	 
	// initialize object
	$type = new Type($db);
	$data = json_decode(file_get_contents("php://input"));

	$stmt = $type->getAllRows();
	$num = $stmt->rowCount();

	$arr=array();
	$arr["records"]=array();
	if($num>0){
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$detail=array(
				"id" => (int)$id,
				"type" => $type,
				"type_code" => $type_code
			);
			array_push($arr["records"], $detail);
		}
	}
	echo json_encode($arr);
?>